Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.startup
Class Jspc

    java.lang.Object
      org.apache.tomcat.startup.Jspc

public class Jspc
extends java.lang.Object

Author:
  Costin Manolache

Constructor Summary
`Jspc()`

Method Summary
`void` | `execute()`
`static void` | `main(java.lang.String[] args)`
`boolean` | `processArgs(java.lang.String[] args)` Process arguments - set object properties from the list of args.
`void` | `setArgs(java.lang.String[] args)`
`void` | `setAttribute(java.lang.String s, java.lang.Object o)` Called by Main to set non-string properties
`void` | `setInstall(java.lang.String s)`
`void` | `setProperty(java.lang.String s, java.lang.Object v)` Callback from argument processing

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jspc

    public Jspc()

Method Detail

### setArgs

    public void setArgs(java.lang.String[] args)

### setInstall

    public void setInstall(java.lang.String s)

### execute

    public void execute()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### processArgs

    public boolean processArgs(java.lang.String[] args)

  Process arguments - set object properties from the list of args.

### setProperty

    public void setProperty(java.lang.String s,
                            java.lang.Object v)

  Callback from argument processing

### setAttribute

    public void setAttribute(java.lang.String s,
                             java.lang.Object o)

  Called by Main to set non-string properties

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.